Bug 12387 - streams_depot incorrectly uses cwd as streams base directory.
streams_depot incorrectly uses cwd as streams base directory.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 12496
  Show dependency treegraph
 
Reported: 2016-10-21 20:16 UTC by Jeremy Allison
Modified: 2017-03-27 17:41 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.5.next, 4.4.next (1.32 KB, patch)
2016-10-25 19:06 UTC, Jeremy Allison
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2016-10-21 20:16:47 UTC
conn->cwd changes after connect - conn->connectpath is static and should be used instead. Patch to follow.
Comment 1 Jeremy Allison 2016-10-25 19:06:20 UTC
Created attachment 12600 [details]
git-am fix for 4.5.next, 4.4.next

Cherry-pick from master for 4.5.next, 4.4.next.
Comment 2 Uri Simchoni 2016-10-25 19:08:22 UTC
Assigning to Karolin for inclusion in 4.4.next and 4.5.next.
Comment 3 Karolin Seeger 2016-10-31 10:15:39 UTC
Pushed to autobuild-v4-{5,4}-test.
Comment 4 Karolin Seeger 2016-11-01 07:50:48 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!